%global python3_pkgversion 39
%global __python3 %{_bindir}/python3.9
%global __pytest /usr/bin/pytest-3.9
%global debug_package %{nil}

Name:		stats-collect
Version:	1.0.21
Release:	1%{?dist}
Summary:	A tool for collecting and visualising system statistics and telemetry

License:	BSD-3-Clause
Url:		https://github.com/intel/stats-collect
Source0:	%url/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch
ExclusiveArch:	%{ix86} x86_64 noarch

BuildRequires:	pepc >= 1.5.5
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pandas
BuildRequires:  python%{python3_pkgversion}-plotly
BuildRequires:  python%{python3_pkgversion}-pluggy
BuildRequires:	python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-numpy
BuildRequires:  python%{python3_pkgversion}-yaml
BuildRequires:	web-assets-devel
Provides:	bundled(lit) = 2.2.8
Requires:	pepc >= 1.5.5
Requires:       python%{python3_pkgversion}-pandas
Requires:       python%{python3_pkgversion}-plotly
Requires:       python%{python3_pkgversion}-numpy
Requires:       python%{python3_pkgversion}-yaml
Requires:	web-assets-filesystem

%description
The Statistics Collection Tool project provides the 'stats-collect'
command-line tool. This tool collects system statistics and telemetry,
and visualizes them. It’s for debugging and tracing purposes only.

%prep
%autosetup

%build
%py3_build

%install
%py3_install
install -pDm644 docs/man1/stats-collect.1 %{buildroot}/%{_mandir}/man1/stats-collect.1

%check
STATS_COLLECT_WEB_ASSETS_PATH=%{buildroot}%{_jsdir}/%{name} STATS_COLLECT_DATA_PATH=%{buildroot}%{_datadir}/%{name} %pytest -v

%files -n %{name}
%license js/dist/main.js.LICENSE.txt
%doc CHANGELOG.md CODE_OF_CONDUCT.md README.md security.md
%{_bindir}/ipmi-helper
%{_bindir}/stats-collect
%{_bindir}/stc-agent
%{_datadir}/%{name}
%{_jsdir}/%{name}
%{python3_sitelib}/statscollectlibs/
%{python3_sitelib}/statscollecttools/
%{python3_sitelib}/stats_collect-*.egg-info/
%{_mandir}/man1/stats-collect.1*

%changelog
* Mon Feb 19 2024 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.0.21-1
- Update to 1.0.21

* Mon Aug 28 2023 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.0.16-1
- Update to 1.0.16

* Mon May 08 2023 Ali Erdinc Koroglu <aekoroglu@centosproject.org> - 1.0.7-1
- Initial release
